searchNodes=[{"ref":"JiffyEx.html","title":"JiffyEx","type":"module","doc":"An Elixir module that wraps the Erlang jiffy library. Provides encode!/1, encode!/2, encode/1, encode/2, decode!/1, decode!/2, decode/1, decode/2 functions for encoding and decoding JSON values. Note: The jiffy functions by default all raise exceptions, so by definition the encode! and decode! functions will be faster as they are not wrapped in try/rescue clauses in order to catch any errors that come out of the jiffy library."},{"ref":"JiffyEx.html#decode/2","title":"JiffyEx.decode/2","type":"function","doc":"Parses the JSON input into an Elixir term. Options :return_maps - (defaults to false) Tells jiffy to return maps instead of jiffy&#39;s default tuple of a list of tuples. :null_term - (defaults to :null) Tells jiffy to use the specified term instead of :null when decoding JSON. If not set, then :null is returned. :use_nil - (defaults to false) Tells jiffy to return nil instead of :null when decoding the JSON. Equivalent to setting null_term: nil. :return_trailer - (defaults to false) Tells jiffy that if any non-whitespace is found after the first JSON term is decoded the return value becomes {:has_trailer, first_decoded_term, rest_of_the_iodata}. This is useful to decode multiple terms in a single binary. -:dedupe_keys- (defaults tofalse) Tells jiffy to ensure that the if there are duplicated keys in a JSON object, the decoded term will only contain one entry with that key. The last value seen will be taken. -:copy_strings- (defaults tofalse) When strings are decoded in Erlang, they are created as sub-binaries of the input data, which forces the BEAM VM to keep references to the original input and keeping the original input in memory, sometimes causing leaks. Setting this option will force the decoding process to create new binaries for the decoded strings, so that the original input can be properly garbage collected after decoding the result. -:bytes_per_red- A jiffy option that controls the number of bytes that jiffy will process as an equivalent to a reduction. Each 20 reductions jiffy consumes 1% of our allocated time slice for the current process. -:bytes_per_iter- A jiffy option for backwards compatible option that is converted into thebytes_per_red` value."},{"ref":"JiffyEx.html#decode!/2","title":"JiffyEx.decode!/2","type":"function","doc":"Parses the JSON input into an Elixir term. Same as decode/2 but raises an exception on errors."},{"ref":"JiffyEx.html#encode/2","title":"JiffyEx.encode/2","type":"function","doc":"Generates a JSON encoded string of the input term. Options :uescape - (defaults to false) Tells jiffy to escape UTF-8 sequences and produce 7-bit clean output. :pretty - (defaults to false) Tells jiffy to produce JSON using two-space indentation. :force_utf8 - (defaults to false) Tells jiffy to force strings to encode as UTF-8 by fixing broken surrogate pairs and/or using the replacement character to remove broken UTF-8 sequences in data. :use_nil - (defaults to false) Tells jiffy to encode any instances of nil as null in the JSON output. :escape_forward_slashes - (defaults to false) Tells jiffy to escape the forward slash (/) character which can be useful when encoding URLs in some cases. :bytes_per_red - A jiffy option that controls the number of bytes that jiffy will process as an equivalent to a reduction. Each 20 reductions jiffy consumes 1% of our allocated time slice for the current process. :bytes_per_iter - A jiffy option for backwards compatible option that is converted into the bytes_per_red value."},{"ref":"JiffyEx.html#encode!/2","title":"JiffyEx.encode!/2","type":"function","doc":"Generates a JSON encoded string of the input term. Same as encode/2 but raises an exception on errors."},{"ref":"JiffyEx.Opts.html","title":"JiffyEx.Opts","type":"module","doc":"A converter that converts between the standard Elixir Keyword List options that are typically passed to functions and the options that are passed to Erlang&#39;s jiffy library."},{"ref":"JiffyEx.Opts.html#parse_decode_opts/1","title":"JiffyEx.Opts.parse_decode_opts/1","type":"function","doc":"Parses options for the decode/2 function from a provided Elixir Keyword list into a compatible list of options for jiffy. This strips out any options that are not valid for jiffy&#39;s decode/2 function and then creates a list of atoms and tuples for jiffy to use."},{"ref":"JiffyEx.Opts.html#parse_encode_opts/1","title":"JiffyEx.Opts.parse_encode_opts/1","type":"function","doc":"Parses options for the encode/2 function from a provided Elixir Keyword list into a compatible list of options for jiffy. This strips out any options that are not valid for jiffy&#39;s encode/2 function and then creates a list of atoms and tuples for jiffy to use."},{"ref":"readme.html","title":"JiffyEx","type":"extras","doc":"JiffyEx An Elixir Module that wraps the Erlang jiffy library. Provides encode!/1, encode!/2, encode/1, encode/2, decode!/1, decode!/2, decode/1, decode/2 functions for encoding and decoding JSON values. NOTE: The jiffy functions by default all raise exceptions, so by definition the encode! and decode! functions will be faster as they are not wrapped in try/rescue clauses in order to catch any errors that come out of the jiffy library."},{"ref":"readme.html#installation","title":"JiffyEx - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding jiffy_ex to your list of dependencies in mix.exs: def deps do [ {:jiffy_ex, &quot;~&gt; 0.1.0&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/jiffy_ex."}]